IRPCLogin.LoginForAutomaticUpdates

View as Markdown

Vault API / core session no session

Logs in for automatic updates.

ServiceLogin and sessions MFiles.IRPCLogin
gRPC method/MFiles.IRPCLogin/LoginForAutomaticUpdates
HTTP (mf-http-grpc)POST /grpc/v1/login-for-automatic-updates
RequestLoginForAutomaticUpdatesRequest
ResponseLoginForAutomaticUpdatesResponse
Book and levelVault API, core
Kindsession
SessionNot needed: the call can be made before logging in.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

No longer supported: the server always fails this call. Software updates are not delivered by M-Files Server.

Request: LoginForAutomaticUpdatesRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
serial_numberstringThe serial number of a client. This is used to determine a such suitable newer version for the client that is justified by the number. If unset, the latest software version is returned.
passwordstringAutomatic updates related password. If unset it's ignored. The primary purpose of this parameter is to refuse returning software updates to certain clients (e.g. M-Files and the password has been fall into other parties that want software updates).
lang_identifierstringLanguage identifier (e.g. "eng" or "fin").
challengebytesThe challenge to be used as an input for a digital signature algorithm.

Response: LoginForAutomaticUpdatesResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
idbytesSession ID when the login process has been completed successfully.
signaturebytesReceives the digital signature.